package org.incandenza.processing.audioshapes.entities;

import org.incandenza.processing.audioshapes.MainSketch;
import org.incandenza.processing.audioshapes.utils.EntropyFactory;
import processing.core.PApplet;
import processing.core.PGraphics;
import processing.core.PVector;

public class Line extends Shape2D {

    @Override
    public void draw(MainSketch pa) {
        float dice = pa.random(100);
        float threshold = pa.getaFFT().getAvg(0);
        threshold = threshold >=10 ? 100:threshold*10;
        int wMin = 1;
        int wMax = wMin+10;

        if(dice<threshold) {
            //int[] forColor = pa.getEntropyFactory().getForeground();
            //int[] backColor = pa.getEntropyFactory().getBackground();
            //if(pa.getBeat().isKick()){
            //    forColor =  pa.getEntropyFactory().getBackground();
            //    backColor = pa.getEntropyFactory().getForeground();
            //}
            pa.stroke(forColor[0], forColor[1], forColor[2], 255);
            pa.background(backColor[0], backColor[1], backColor[2], 255);
            pa.strokeWeight(pa.random(wMin, wMax));

            pa.line(pa.random(pa.width), pa.random(pa.height), pa.random(pa.width), pa.random(pa.height));
        }
    }
}
